Holger's Java API

## com.antelmann.db
Interface DBAccessController

    public interface DBAccessController

used to control access on database resources in an `AbstractDatabase`.

Since:
  11. Dezember 2006, 16:11
Author:
  Holger Antelmann
See Also:
  `AbstractDatabase`, `DBClassStore`

Method Summary
`void` `checkAccess(DBClassStore<?> store, DBClassStore.DBMethod method, Object parameter)` controls access to the database via the `DBClassStore` interface; information on the state of the database (like its current user) can be accessed through the given DBClassStore.

Method Detail

### checkAccess

    void checkAccess(DBClassStore<?> store,
                     DBClassStore.DBMethod method,
                     Object parameter)
                     throws DBAccessDeniedWarning,
                            DatabaseException

  controls access to the database via the `DBClassStore` interface; information on the state of the database (like its current user) can be accessed through the given DBClassStore.

  Calls to the methods getDatabase() and getEntryClass() go unchecked.

  When this method is called by an AbstractDatabase, there is an ongoing transaction and the current thread is the owner of the transaction.

  Parameters:
    `parameter` - depending on the actual method called, this parameter is either a Resource, its ID or a Filter; it may also be null.
  Throws:
    `DBAccessDeniedWarning` - to indicate that the operation is not to proceed due to security restrictions. (E.g. the current user on the database of the given store may not have sufficient rights to update the database.)
    `DatabaseException`
  See Also:
    `DBClassStore`, `DBEntry`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads